Loading...
Searching...
No Matches
opengv::math::Bracket Class Reference

## Public Types

typedef std::shared_ptr< Bracket > | Ptr
typedef std::shared_ptr< const Bracket > | ConstPtr

## Public Member Functions

| Bracket (double lowerBound, double upperBound)
| Bracket (double lowerBound, double upperBound, size_t changes, bool setUpperBoundChanges)
bool | dividable (double eps) const
void | divide (std::list< Ptr > &brackets) const
double | lowerBound () const
double | upperBound () const
bool | lowerBoundChangesComputed () const
bool | upperBoundChangesComputed () const
void | setLowerBoundChanges (size_t changes)
void | setUpperBoundChanges (size_t changes)
size_t | numberRoots () const

The documentation for this class was generated from the following file:

- include/opengv/math/Sturm.hpp